package nbi_file

import (
	"be.ems/src/framework/middleware"
	"github.com/gin-gonic/gin"
)

// Register Routes for file_export
func Register(r *gin.RouterGroup) {
	fileNBI := r.Group("/file")
	{
		var f *FileNBI
		fileNBI.GET("/:category/:type/list",
			middleware.PreAuthorize(nil),
			f.GetFileList,
		)
		fileNBI.GET("/:category/:type/:dateIndex",
			middleware.PreAuthorize(nil),
			f.GetSingleFileHandler,
		)
		fileNBI.GET("/:category/:type",
			middleware.PreAuthorize(nil),
			f.GetMultiFileHandler,
		)
	}
}
